zenilib: zenilib/jni/external/freetype2/src/tools/test_trig.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
test_trig.c File Reference
`#include <ft2build.h>`
`#include <FT_FREETYPE_H>`
`#include <FT_TRIGONOMETRY_H>`
`#include <math.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Macros

#define | PI 3.14159265358979323846
#define | SPI (PI/FT_ANGLE_PI)
#define | THRESHOLD 64

## Functions

int | main (void)
static void | test_atan2 (void)
static void | test_cos (void)
static void | test_length (void)
static void | test_rotate (void)
static void | test_sin (void)
static void | test_tan (void)
static void | test_unit (void)

## Variables

static | error = 0

## Macro Definition Documentation

#define PI 3.14159265358979323846

Definition at line 8 of file test_trig.c.

#define SPI (PI/FT_ANGLE_PI)

Definition at line 9 of file test_trig.c.

Referenced by test_atan2(), test_cos(), test_length(), test_rotate(), test_sin(), test_tan(), and test_unit().

#define THRESHOLD 64

Definition at line 14 of file test_trig.c.

Referenced by test_cos(), test_length(), test_rotate(), test_sin(), test_tan(), and test_unit().

## Function Documentation

int main | ( | void |  | ) |

Definition at line 222 of file test_trig.c.

References error, test_atan2(), test_cos(), test_length(), test_rotate(), test_sin(), test_tan(), and test_unit().

static void test_atan2 | ( | void |  | ) |

static

Definition at line 92 of file test_trig.c.

References cos(), FT_ANGLE_2PI, FT_Atan2(), i, j, sin(), and SPI.

Referenced by main().

static void test_cos | ( | void |  | ) |

static

Definition at line 19 of file test_trig.c.

References cos(), error, FT_ANGLE_2PI, FT_Cos(), i, SPI, and THRESHOLD.

Referenced by main().

static void test_length | ( | void |  | ) |

static

Definition at line 152 of file test_trig.c.

References cos(), error, FT_ANGLE_2PI, FT_Vector_Length(), i, sin(), SPI, THRESHOLD, FT_Vector_::x, and FT_Vector_::y.

Referenced by main().

static void test_rotate | ( | void |  | ) |

static

Definition at line 176 of file test_trig.c.

References cos(), error, FT_ANGLE_2PI, FT_Vector_Rotate(), i, j, sin(), SPI, THRESHOLD, FT_Vector_::x, and FT_Vector_::y.

Referenced by main().

static void test_sin | ( | void |  | ) |

static

Definition at line 44 of file test_trig.c.

References error, FT_ANGLE_2PI, FT_Sin(), i, sin(), SPI, and THRESHOLD.

Referenced by main().

static void test_tan | ( | void |  | ) |

static

Definition at line 68 of file test_trig.c.

References error, FT_ANGLE_PI2, FT_Tan(), i, SPI, and THRESHOLD.

Referenced by main().

static void test_unit | ( | void |  | ) |

static

Definition at line 122 of file test_trig.c.

References cos(), error, FT_ANGLE_2PI, FT_Vector_Unit(), i, sin(), SPI, THRESHOLD, FT_Vector_::x, and FT_Vector_::y.

Referenced by main().

## Variable Documentation

error = 0

static

Definition at line 16 of file test_trig.c.